Back to TikTok
TikHub·TikTok
TikTok Web: Search video
/api/v1/tiktok/web/fetch_search_videosync$0.0015 / callSearch video via TikHub's TikTok Web endpoint. (TikHub · TikTok Web)
Input
| Field | Type | Required | Description |
|---|---|---|---|
| keyword | string | yes | Search keyword |
| count | integer | — | Number per page (default 20) |
| offset | integer | — | Page cursor (default 0) |
| search_id | string | — | Search id, need to provide when paging (default "") |
| cookie | string | — | User cookie(if needed) |
Run it
curl -s https://www.sooma.dev/v1/run \
-H "Authorization: Bearer $SOOMA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"tikhub","endpoint":"/api/v1/tiktok/web/fetch_search_video","input":{}}'
Or ask your agent: it will call inspect for this schema and run it over MCP.